searchNodes=[{"ref":"Membrane.Element.Tee.Master.html","title":"Membrane.Element.Tee.Master","module":"Membrane.Element.Tee.Master","type":"module","doc":"Element for forwarding buffers to at least one output pad It has one input pad :input and 2 output pads: :master - is a static pad which is always available and works in pull mode :copy - is a dynamic pad that can be linked to any number of elements (including 0) and works in push mode The :master pad dictates the speed of processing data and any element (or elements) connected to :copy pad will receive the same data as :master Pads :input Availability:always Caps:any Demand&nbsp;unit:buffers Direction:input Mode:pull :copy Availability:on_request Caps:any Direction:output Mode:push :master Availability:always Caps:any Direction:output Mode:pull"},{"ref":"Membrane.Element.Tee.Master.html#membrane_pads/0","title":"Membrane.Element.Tee.Master.membrane_pads/0","module":"Membrane.Element.Tee.Master","type":"function","doc":"Returns pads descriptions for Membrane.Element.Tee.Master"},{"ref":"readme.html","title":"Membrane Multimedia Framework: Tee","module":"readme","type":"extras","doc":"Membrane Multimedia Framework: Tee This package provides elements that can be used to branch stream processing in pipeline, e.g. send data from one source to two or more sinks."},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: Tee - Installation","module":"readme","type":"extras","doc":"This package can be installed by adding membrane_element_tee to your list of dependencies in mix.exs: def deps do [ {:membrane_element_tee, &quot;~&gt; 0.1.0&quot;} ] end The docs can be found at HexDocs."},{"ref":"readme.html#examples","title":"Membrane Multimedia Framework: Tee - Examples","module":"readme","type":"extras","doc":"Membrane.Element.Tee.Master This element has one :master output pad that dictates the speed of processing data and dynamic :copy pad working in :push mode mirroring :master pad. Playing this pipeline should result in copying the source file to all destination files (sinks). Before playing it, make sure that the source file exists, e.g. like this: echo &quot;Membrane Framework is cool&quot; &gt; /tmp/source_file You also need :membrane_element_file in project dependencies to run this pipeline. defmodule FileMultiForwardPipeline do use Membrane.Pipeline alias Pipeline.Spec alias Membrane.Element.{File, Tee} @impl true def handle_init(_) do children = [ file_src: %File.Source{location: &quot;/tmp/source_file&quot;}, tee: Tee.Master, file_sink1: %File.Sink{location: &quot;/tmp/destination_file1&quot;}, file_sink2: %File.Sink{location: &quot;/tmp/destination_file2&quot;}, ] links = %{ {:file_src, :output} =&gt; {:tee, :input}, {:tee, :master} =&gt; {:file_sink1, :input}, {:tee, :copy} =&gt; {:file_sink2, :input}, } {{:ok, %Spec{children: children, links: links}}, %{}} end end"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: Tee - Copyright and License","module":"readme","type":"extras","doc":"Copyright 2019, Software Mansion Licensed under the Apache License, Version 2.0"}]